package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

//Java Classes

//Library Classes

//Framework Classes

/**
 * @author Commons Team
 * 
 */
public class RejectionRemark
    extends AbstractNamedActiveLookup
{
    private static final long serialVersionUID = -7892112539359765535L;

    /**
     * Default constructor.
     */
    public RejectionRemark()
    {
        super();
    }
    
	/* Unacceptable documentation */
	public static final Code CODE_UNACCEPTABLE_DOCUMENTATION = new Code("1");
	
	/* No document received */
	public static final Code CODE_NO_DOCUMENT_RECEIVED = new Code("2");
	
	/* Entered in error */
	public static final Code CODE_ENTERED_IN_ERROR= new Code("3");

	/* Unsupported Purple Heart */
	public static final Code CODE_UNSUPPORTED_PURPLE_HEART = new Code("4");
	
	/* VAMC */
	public static final Code CODE_VAMC = new Code("5");
	
	/* VOA */
	public static final Code CODE_VOA = new Code("7");
	
	public static final Code CODE_UNDELIVERABLE_MAIL = new Code("6");
	
	public static class Code extends AbstractCode {

		private static final long serialVersionUID = 1013165625354130348L;

        private Code(String code) {
			super(code);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}
}
